File Exchange

image thumbnail

Embedded Coder Support Package for ARM Cortex-A Processors

Generate code optimized for ARM Cortex-A processors.

65 Downloads

Updated 11 Sep 2019

Editor's Note:

This support package is currently unable to download third-party software for MATLAB R2017a and earlier versions. For details and workaround, see this Bug Report.

MATLAB R2017b and later versions are unaffected.

Embedded Coder® Support Package for ARM® Cortex®-A Processors lets you generate NEON™ optimized code for math operations using the Ne10 Library. Use this generated code for ARM Cortex-A processors. For DSP filter support, use the ARM Cortex A Ne10 Library Support from DSP System Toolbox™.

This support package is functional for R2014a and beyond.

If you have download or installation issues, please contact Technical Support: www.mathworks.com/contact_ts

Comments and Ratings (24)

Wiliam

Mikhail

Please update the toolchain on Linux from 32-bit to 64-bit host. Just like you did for ARM Cortex-M target.

It works great once you get it installed...the download process is garbage.

tried many times but still get nothing

sato hiroki

It's hanging for me as well on the downloading of third-party packages with Matlab R2018a. Sometimes it hangs at 21%, sometimes at 76%. No decent error message or fallback plan. Infuriating.

Hello,
I'm trying to install this pkg with MacOS 10.13.5 and MATLAB R2017b and it gives me the following error:
The support package is not compatible with your version of MATLAB or operating system.

I tried with matlab r2018a but the result is the same.
How do I download this pkg?

Thanks,

Alessio

Mauro

Hi,
I´m trying to install this package with Matlab R2017b on a Windows Machine, but I´m not able to download the 3rd party SW.
I think it´s not a proxy or connection problem, since I installed the Cortex-M support succesfully.
The error appears always trying the download of the Linaro Toolchain

tried many times but still can't download this package

Vishal Shah

Hello,

I'm trying to install this pkg with MacOS 10.12.1 and MATLAB R2017b and it gives me the following error:

The support package is not compatible with your version of MATLAB or operating system

How do I download this pkg?

Thx,
Vick

Xiao Fu

连接错误
应用程序无法连接到 MathWorks。有关解决此问题的详细信息,请参阅此 支持文章。

Mikhail

Thank you Mikhail, we are glad you like the support package and appreciate your ideas to deal with third party software dependency issues.
We apologize to those who have experienced download and installation failures, and recently made several improvements and added daily automated link testing.
If you are still experiencing installation or download issues, please do not hesitate to contact us at MathWorks support www.mathworks.com/support/

Mikhail

This is a great and functional support package. Seeing it have one-star ratings due to download issues is disappointing. MathWorks should consider mirroring third-party downloads on their servers and fallback when download fails. Otherwise, some kind of automatic url checking system should be implemented on MathWorks side to periodically check, detect and report broken urls directly to developers.

Roger

It's alway said download failed, connection reset

xin zhang

安装不成功,我都安装好多次了!我用的是2017a,安装其他的都还可以就是这个不行,有没有专业人士来解决啊!!!!帮帮我们吧??谢谢了

Dave Walter

Installation hangs on "Install Third-Party Packages." Disappointing, but is starting to become too common.

Roger

The installation does not work
It is blocked at "Install Third-Party Packages".

The installation used to work in their previous release (installed in november 2016 on another machine), but does not work anymore.

Mats Logren

Installation just doesn't work. Mathworks try to help out but are confused.

MATLAB Release Compatibility
Created with R2014a
Compatible with R2014a to R2019b
Platform Compatibility
Windows macOS Linux